Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.codec.http
Interface HttpResponse

All Superinterfaces:
  HttpMessage

All Known Implementing Classes:
  DefaultHttpResponse

    public interface HttpResponse

extends HttpMessage

An HTTP response.

### Accessing Cookie

Unlike the Servlet API, `Cookie` support is provided separately via `CookieEncoder` and `CookieDecoder`.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee
See Also:
  `HttpRequest`, `CookieEncoder`, `CookieDecoder`

Method Summary
`HttpResponseStatus` | `getStatus()` Returns the status of this response.
`void` | `setStatus(HttpResponseStatus status)` Sets the status of this response.

Methods inherited from interface org.jboss.netty.handler.codec.http.HttpMessage
`addHeader, clearHeaders, containsHeader, getContent, getContentLength, getContentLength, getHeader, getHeaderNames, getHeaders, getHeaders, getProtocolVersion, isChunked, isKeepAlive, removeHeader, setChunked, setContent, setHeader, setHeader, setProtocolVersion`

Method Detail

### getStatus

    HttpResponseStatus getStatus()

  Returns the status of this response.

### setStatus

    void setStatus(HttpResponseStatus status)

  Sets the status of this response.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.